Bug 453283 - dvipdfm fails with: Invalid PDF name "IYXNIP+Courier#20Bold"
dvipdfm fails with: Invalid PDF name "IYXNIP+Courier#20Bold"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dvipdfm (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-28 17:46 EDT by Robert Jackson
Modified: 2008-07-21 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.13.2d-39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 12:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case containing tex file, postscript image and generated DVI file (6.51 KB, application/x-compressed-tar)
2008-06-28 17:48 EDT, Robert Jackson
no flags Details
Fix (taken from #228078 comment #2) (510 bytes, patch)
2008-06-28 17:49 EDT, Robert Jackson
no flags Details | Diff

  None (edit)
Description Robert Jackson 2008-06-28 17:46:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
When dvipdfm on a DVI file containing a postscript image, it fails with:

[1(./plot.ps<PS>Invalid PDF name "IYXNIP+Courier#20Bold"

pdf_new_name:  invalid PDF name

Output file removed.


This occurs with dvipdfm-0.13.2d-30.fc9.i386 from the texlive package as shipped with the original Fedora 9.

The same error occurs in the latest koji build dvipdfm-0.13.2d-38.fc9.i386, which seems to have been split into a separate package.

This is exactly the same problem as bug #228078 which affected the old tetex package in Fedora 8.  The patch in comment #2 of that bug report also fixes the problem when applied to dvipdfm-0.13.2d-38.fc9.i386.

I will add a test case which demonstrates this problem.

Regards

Robert

Version-Release number of selected component (if applicable):
dvipdfm-0.13.2d-38.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Install dvipdfm-0.13.2d-38.fc9.i386
2. Run dvipdfm dvipdfm-bug.dvi on the attached test case


Actual Results:
[1(./plot.ps<PS>Invalid PDF name "IYXNIP+Courier#20Bold"

pdf_new_name:  invalid PDF name

Output file removed.

Expected Results:
The PDF should be created

Additional info:
Related to bug #228078
Comment 1 Robert Jackson 2008-06-28 17:48:38 EDT
Created attachment 310518 [details]
Test case containing tex file, postscript image and generated DVI file
Comment 2 Robert Jackson 2008-06-28 17:49:54 EDT
Created attachment 310520 [details]
Fix (taken from #228078 comment #2)
Comment 3 Jonathan Underwood 2008-06-28 18:55:00 EDT
Thanks for the report Robert. I've pushed new builds with the patch added:

http://koji.fedoraproject.org/koji/taskinfo?taskID=685522

You can test directly from there or wait until they hit updates-testing.

As an aside, note that dvipdfm is largely deprecated in favour of dvipdfmx which
is actively maintained upstream. In faact texlive 2008 won't include dvipdfm at
all, as I understand.
Comment 4 Fedora Update System 2008-06-28 19:13:51 EDT
dvipdfm-0.13.2d-39.fc9 has been submitted as an update for Fedora 9
Comment 5 Robert Jackson 2008-06-29 07:54:29 EDT
Thanks for the quick response.

I can confirm dvipdfm-0.13.2d-39.fc9 works fine for me.

Cheers

Robert
Comment 6 Fedora Update System 2008-06-29 18:01:29 EDT
dvipdfm-0.13.2d-39.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dvipdfm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5863
Comment 7 Fedora Update System 2008-07-06 02:17:05 EDT
dvipdfm-0.13.2d-39.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.